<?php
/* ------------------------------------------------------------------------- *
 *  Dynamic styles
/* ------------------------------------------------------------------------- */

if (!function_exists('maglink_get_inline_css')) :
    /**
     * Outputs theme custom CSS.
     *
     * @since 1.0.0
     */
    function maglink_get_inline_css()
    {
        $defaults = maglink_get_all_customizer_default_values();
        $background_color = get_theme_mod('background_color');

        $maglink_site_logo_height = maglink_get_option('maglink_site_logo_height');

        ob_start();
        ?>
        <?php if (!empty($background_color) && $background_color != 'ffffff') :
        ?>
        :root {
        --wpi--base-bg-color: #<?php echo esc_attr($background_color); ?>;
        }
    <?php endif; ?>

        <?php if ($maglink_site_logo_height !== $defaults['maglink_site_logo_height']) : ?>
        .site-logo img {
        height:<?php echo absint($maglink_site_logo_height); ?>px;
        }
    <?php endif; ?>
        <?php
        return ob_get_clean();
    }
endif;
